Subject: [siprec] comments on draft-ietf-siprec-req-02 REQ-021

From: Paul Kyzivat <[email-masked]>
Date: Tue, 28 Sep 2010 09:33:40 -0400

> REQ-021 Metadata format must be agnostic of the transport protocol.

IMO this requirement is dubious or at least requires clarification.

Is the goal that the metadata *as stored* by the SRS must be agnostic to 
transport? Or is it that that encoding of the metadata *when 
transmitted* to the SRS must be encoded in a transport agnostic way?

Some of the metadata will be most naturally gathered opportunistically 
from the transport. For instance codec information. That would make it 
non-agnostic to the transport.

	Thanks,
	Paul